## gst-plugins-gl0.10 0.10.2

=== debian/changelog ===
gst-plugins-gl0.10 (0.10.2-1) experimental; urgency=low

  * New upstream release, "Long forgotten rules".

 -- Sebastian Dröge <slomo@debian.org>  Sat, 04 Sep 2010 23:24:38 +0200

gst-plugins-gl0.10 (0.10.1.4-1) experimental; urgency=low

  * New upstream pre-release:
    + Fixes build on non-Linux Unices (Closes: #592685).

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Aug 2010 12:15:02 +0200

gst-plugins-gl0.10 (0.10.1.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer and gst-plugins-base >= 0.10.28.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 12 Aug 2010 09:15:10 +0200

gst-plugins-gl0.10 (0.10.1.2-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/patches/01_link-libm.patch,
      debian/patches/02_copyright-license.patch,
      debian/patches/03_copyright-license.patch,
      debian/patches/04_copyright-license.patch,
      debian/patches/05_copyright-license.patch:
      - Dropped, merged upstream.
    + debian/build-deps.in:
      - Don't build depend on liboil.
  * debian/rules,
    debian/compat,
    debian/control.in,
    debian/source/format,
    debian/patches/*:
    + Update to debhelper compat level 7.
    + Update to source format 3.0 (quilt).

 -- Sebastian Dröge <slomo@debian.org>  Wed, 11 Aug 2010 10:44:07 +0200

gst-plugins-gl0.10 (0.10.1-3) experimental; urgency=low

  * debian/control.in:
    + Let the plugin package depend on the library package (Closes: #549617).
    + Update Standards-Version to 3.8.3.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 07 Oct 2009 17:52:02 +0200

gst-plugins-gl0.10 (0.10.1-2) experimental; urgency=low

  * debian/copyright:
    + Add detailed copyright information.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jul 2009 09:10:59 +0200

gst-plugins-gl0.10 (0.10.1-1) experimental; urgency=low

  * Initial version (Closes: #464905):
    + debian/patches/02_copyright-license.patch,
      debian/patches/03_copyright-license.patch,
      debian/patches/04_copyright-license.patch,
      debian/patches/05_copyright-license.patch:
      - Patches from upstream GIT to add missing copyright
        and license declarations to all files.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 18 Jun 2009 13:35:45 +0200
