=== debian/control ===
Source: gst-plugins-gl0.10
Section: libs
Priority: optional
Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>
Build-Depends: libgstreamer0.10-dev (>= 0.10.28), autotools-dev, cdbs (>= 0.4.20), debhelper (>= 7), gnome-pkg-tools (>= 0.7), pkg-config (>= 0.11.0), libgstreamer-plugins-base0.10-dev (>= 0.10.28), libglib2.0-dev (>= 2.6), libx11-dev, libxt-dev, libgl1-mesa-dev, libglu1-mesa-dev, libglew1.5-dev, libpng12-dev, gtk-doc-tools, gstreamer-tools (>= 0.10.28), dpkg-dev (>= 1.14.13), lsb-release, libgtk2.0-dev (>= 2.12.0), libglib2.0-doc, gstreamer0.10-doc
Standards-Version: 3.8.4
Homepage: http://gstreamer.freedesktop.org

Package: gstreamer0.10-plugins-gl-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         libglib2.0-doc,
         gstreamer0.10-doc
Description: GStreamer documentation for plugins from the "gl" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This packages contains documentation for plugins from the "gl" set,
 an essential exemplary set of elements.

Package: libgstreamer-plugins-gl0.10-0
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GStreamer libraries from the "gl" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains libraries from the "gl" set, an essential
 exemplary set of elements.

Package: libgstreamer-plugins-gl0.10-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-gl0.10-0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         pkg-config,
         libgstreamer0.10-dev (>= 0.10.28),
         libgstreamer-plugins-base0.10-dev (>= 0.10.15.1),
         libglib2.0-dev,
         libxml2-dev
Description: GStreamer development files for libraries from the "gl" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for GStreamer libraries from
 the "gl" set, an essential exemplary set of elements.

Package: gstreamer0.10-plugins-gl
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-gl0.10-0 (= ${binary:Version})
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "gl" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "gl" set, an
 essential exemplary set of elements.

Package: gstreamer0.10-plugins-gl-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gstreamer0.10-plugins-gl (= ${binary:Version}),
         libgstreamer-plugins-gl0.10-0 (= ${binary:Version}),
         ${misc:Depends}
Description: GStreamer plugins from the "gl" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.
