=== debian/watch ===
version=2
http://gstreamer.freedesktop.org/src/gst-plugins-gl/gst-plugins-gl-(0\.10\..*)\.tar\.gz
